%define	name 	java_binfmt
%define	version	1.0.2
%define release 6mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Binary Kernel Support for Linux
License: 	GPL
Group: 		Development/Java
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.service.script.bz2
Source2:	%{name}.jarexec.bz2
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Linux beats them ALL! While all other OS's are TALKING about direct
support of Java Binaries in the OS, Linux is doing it!
You can execute Java applications and Java Applets just like any
other program after you installed this package.
Caution: it assumes java and appletviewer are both in your PATH !
You also need binfmt_misc kernel feature, either directly or as a module.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
bzcat %{SOURCE1} > %{name}
bzcat %{SOURCE2} > jarexec

%build
gcc $RPM_OPT_FLAGS -o javaclassname javaclassname.c

%install
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 javaclassname $RPM_BUILD_ROOT%{_bindir}
install -m 755 javawrapper $RPM_BUILD_ROOT%{_bindir}
install -m 755 jarexec $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_sysconfdir}/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc java.txt
%{_sysconfdir}/init.d/%{name}
%{_bindir}/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-6mdk
- prereq rpm-helper (really)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-5mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-4mdk
- rebuild
- new rpm macros

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-3mdk
- fixed initscript (Michael Locher <locher@iam.unibe.ch>)
- added jar support (Michael Locher <locher@iam.unibe.ch>)

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-2mdk
- mdk optimisations
- s/Copyright/License/
- service script

* Sat Mar 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-1mdk
- first Mandrake release
